English Amiga Board


Go Back   English Amiga Board > Main > Amiga scene

 
 
Thread Tools
Old 26 January 2013, 15:28   #41
elowan
Registered User
 
Join Date: Dec 2012
Location: germany
Age: 43
Posts: 324
Quote:
Originally Posted by James View Post
To improve the look of requesters you could install ReqAttack:

http://aminet.net/util/misc/ReqAttack.lha

This is my Workbench about window:

Attachment 34012
This one complains about missing files, i found and installed them, except for "NListtree.mcc". Only broken links so far...

Cool, got this missing file by installing iBrowse

Last edited by elowan; 26 January 2013 at 16:15.
elowan is offline  
AdSense AdSense  
Old 26 January 2013, 19:38   #42
emufan
Registered User
 
Join Date: Feb 2012
Location: #DrainTheSwamp
Posts: 4,067
"NListtree.mcc" is included in this package: http://sourceforge.net/projects/nlist-classes/
emufan is offline  
Old 26 January 2013, 20:08   #43
James
Registered User

 
Join Date: Mar 2010
Location: Beckenham/England
Posts: 461
Quote:
Originally Posted by James View Post
You can get the needed library here:
http://stephan-rupprecht.de/downloads/WBStartEmu.lha
You need to install the wbstart-handler from this archive in SYS:L/ to enable the wbstart.library to work correctly.
James is offline  
Old 26 January 2013, 21:38   #44
elowan
Registered User
 
Join Date: Dec 2012
Location: germany
Age: 43
Posts: 324
I did this and checked SYS:L , there is a file called wbstart.library... (itīs version 2.2, no higher version accepted by WBStartup++)

Installed everything again, in the right drawers, but still not working.

I put all tools, that iīd like to start up in "Enabled" (SYS:WBStarup/Enabled and WBStatup++ itself is in SYS:WBStatup/


James, do you have some settings for ReqAttack, that i can borrow from you, please ?!

Last edited by elowan; 26 January 2013 at 21:57.
elowan is offline  
Old 27 January 2013, 03:26   #45
James
Registered User

 
Join Date: Mar 2010
Location: Beckenham/England
Posts: 461
Quote:
Originally Posted by elowan View Post
I did this and checked SYS:L , there is a file called wbstart.library... (itīs version 2.2, no higher version accepted by WBStartup++)
This could get confusing.
The version of wbstart.library I linked to above is 45.2 but, as the name of the archive implies, it is an emulation - the real library is not needed in OS3.9. So to allow software looking for the real wbstart.library to run it pretends to be version 2.2... So are you saying that you are using the library I linked to, or the real 2.2?

Quote:
Originally Posted by elowan View Post
James, do you have some settings for ReqAttack, that i can borrow from you, please ?!
Sure:

http://www..com/?8ey44eiv9f2wffl

This contains all the images I modified for ReqAttack, buttons from AmiKIT, some MUI patterns and my prefs. If you have ReqAttack installed to SYS:ReqAttack you can extract it directly to SYS:
It will overwrite the ReqAttack toolbar images, and make the ReqAttack preferences window look really bad. Switching the MUI Toolbar setting from Image+Text to just Images will improve things a little bit. Or you can just replace them with the originals if you prefer to keep text on. (RAPImages/Mainmenu* and Editmenu*)
My "3.9 Rom" settings (for the about window) also uses Arial Bold and DejaVu (Used by OS4.1) truetype fonts. So you will need to change those settings or install the fonts...
James is offline  
Old 28 January 2013, 09:25   #46
elowan
Registered User
 
Join Date: Dec 2012
Location: germany
Age: 43
Posts: 324
I clicked wbstartup.library, "Information" - it says Version 2.2 (itīs the file from the WBStartup++.lha archiv, i copied to this folder).

Where i can find some fonts for 3.9? Aminet? For the "MacLikeDock" i need "Deja Vu font"

I want to install OWD 1.6 68k version - it complains about missing library "ixemul.library". i downloaded it and want to install it... But ixemul.library complains about missing program ":more". I tried google it, but no success yet. Is "more" really a program?
elowan is offline  
Old 28 January 2013, 14:46   #47
James
Registered User

 
Join Date: Mar 2010
Location: Beckenham/England
Posts: 461
Quote:
Originally Posted by elowan View Post
I clicked wbstartup.library, "Information" - it says Version 2.2 (itīs the file from the WBStartup++.lha archiv, i copied to this folder).
That is the wrong version then, you need the one from WBStartEmu.lha

Quote:
Originally Posted by elowan View Post
Where i can find some fonts for 3.9? Aminet? For the "MacLikeDock" i need "Deja Vu font"
The DejaVU fonts can be downloaded from here:
http://dejavu-fonts.org/wiki/index.php?title=Download
I would also recommend installing the MS Core fonts.
The last versions can be found on their page on arc.org:
http://web.archive.org/web/200202061...ck/default.htm
This site is also offering them, but I have not tried downloading from them:
http://web.nickshanks.com/fonts/micr...core-web-fonts
They are .exe files but can be extracted via UnArc.

I would recommend putting them in Fonts:TrueType/
Then instaliing them with TTF_Manager and then moving all the .font and .otag files it creates in that directory up one level to Fonts:

Quote:
Originally Posted by elowan View Post
I want to install OWD 1.6 68k version - it complains about missing library "ixemul.library". i downloaded it and want to install it... But ixemul.library complains about missing program ":more". I tried google it, but no success yet. Is "more" really a program?
That file is just a text message not an installer - more is just a text reader. You can change it to use Multiview instead in the Icon Information. Assuming that is the Ixemul 63.1 archive though you needn't bother. It is just a message for OS4 and MOS users.
I have lost count of the number of times I have had to change the tool for text files. Even when people assign Multiview they often link to it via a non standard directory...

As to OWB and Ixemul there are some problems that need to be worked around.
When the author of AfA released Ixemul 63.1 an argument kicked off between him and the porter of OWB about the version number being far to high. Then strangely enough the versions of OWB released after this row (1.5 and 1.6) refused to work with either AfA or Ixemul 63.1. You may also find a couple of programs that don't work properly with Ixemul 63.1 (Abuse being one). But there are also some very useful programs that require it (FFPlay, Netsurf...).

There is a workaround however. You need to install an older version of Ixemul as well:

http://aminet.net/dev/lib/ixemul-48.3-bin-m68k.lha

Then use scripts to swap between the two:

http://aminet.net/util/batch/ix_probs.lha

Then for the AfA/OWB problem you can install a tool like ABF that will trick OWB into thinking it is using a different library version:

http://aminet.net/util/cli/ABF.lha

This is the script I use to get OWB to work:

OWB_Run.txt

I have renamed OWB to OWB.exe and also installed the ARexx toolbar:

http://aminet.net/comm/www/OWB-ATB-68k.lha

As for installing Ixemul you just need to find the libraries for your CPU name them correctly and put them in libs.

Last edited by James; 28 January 2013 at 16:57.
James is offline  
Old 28 January 2013, 20:32   #48
elowan
Registered User
 
Join Date: Dec 2012
Location: germany
Age: 43
Posts: 324
Quote:
Originally Posted by James View Post
That is the wrong version then, you need the one from WBStartEmu.lha


The DejaVU fonts can be downloaded from here:
http://dejavu-fonts.org/wiki/index.php?title=Download
I would also recommend installing the MS Core fonts.
The last versions can be found on their page on arc.org:
http://web.archive.org/web/200202061...ck/default.htm
This site is also offering them, but I have not tried downloading from them:
http://web.nickshanks.com/fonts/micr...core-web-fonts
They are .exe files but can be extracted via UnArc.
I checked again, in LIBS i got "wbstartup.library (2.2 07/16/01)" the same file is in the wbstartemu.lha (it must be, because copied it over from there)
Sorry, my previous post was not correct, i stated "WBStartup++", but i got it form "WBStartupemu"

For the fonts: wich ones to take? The versions for Windows 3.1 or the 2000, XP version (they got the "32" addition)?

For OWB iīll let go for now and the Netsurf (the one from AmiKit, because i tested it a bit and itīs very fast and displays most of my visited sites, correct)

Iīll give OWB a try, later on.
elowan is offline  
Old 28 January 2013, 21:16   #49
elowan
Registered User
 
Join Date: Dec 2012
Location: germany
Age: 43
Posts: 324
A bit strange: Installed Netsurf 68k - it says all went good - but the Netsurf folder under SYS:Internet wonīt show up Files, when clicking.... Sorry, ment no Window is opened, when clicking the netsurf folder

Last edited by elowan; 28 January 2013 at 23:49.
elowan is offline  
Old 29 January 2013, 01:35   #50
James
Registered User

 
Join Date: Mar 2010
Location: Beckenham/England
Posts: 461
I used the "32" fonts...

As for Netsurf, the drawer icon may be the wrong type? Make sure it is set as a drawer under icon information.
James is offline  
Old 29 January 2013, 09:42   #51
elowan
Registered User
 
Join Date: Dec 2012
Location: germany
Age: 43
Posts: 324
Hi James, i checked this and it says "Drawer".

I also checked with windows-explorer, when openeing the Netsurf folder, there are many files inside... hmmm.
elowan is offline  
Old 29 January 2013, 10:50   #52
Bamiga2002
BlizzardPPC'less

Bamiga2002's Avatar
 
Join Date: May 2004
Location: Finland
Age: 40
Posts: 3,210
Send a message via MSN to Bamiga2002
I had the same problem. I just deleted the .info file and created a new one using DOPUS.
For completeness I sometimes -RWED a whole drawer to make sure the executables "execute".
Bamiga2002 is offline  
Old 29 January 2013, 11:28   #53
elowan
Registered User
 
Join Date: Dec 2012
Location: germany
Age: 43
Posts: 324
Quote:
Originally Posted by Bamiga2002 View Post
I had the same problem. I just deleted the .info file and created a new one using DOPUS.
For completeness I sometimes -RWED a whole drawer to make sure the executables "execute".
sounds like a plan

How can i make it work, if i had no DOPUS installed, yet?
Just delete .info file from the drawer and replace it with a new one, named the same?
elowan is offline  
Old 29 January 2013, 22:47   #54
elowan
Registered User
 
Join Date: Dec 2012
Location: germany
Age: 43
Posts: 324
I deleted the netsurf.info file and now, i can finally access the drawer and itīs files.

But - there comes the next problem(s)

Netsurf complains "68040 Math emulation code not found" and "Need at least ixemul.library version 63".

The first thing - is this some problem with fs-uae emulation?
The 2nd is a missing library, i guess. Right now, iīve only ixemul.lib version 48.

But shouldnīt Netsurf install ixemul.-libs and other needed files? Afair, the Netsurf installer said so
elowan is offline  
Old 29 January 2013, 23:05   #55
elowan
Registered User
 
Join Date: Dec 2012
Location: germany
Age: 43
Posts: 324
Quote:
Originally Posted by James View Post
That is the wrong version then, you need the one from WBStartEmu.lha


The DejaVU fonts can be downloaded from here:
http://dejavu-fonts.org/wiki/index.php?title=Download
I would also recommend installing the MS Core fonts.
The last versions can be found on their page on arc.org:
http://web.archive.org/web/200202061...ck/default.htm
This site is also offering them, but I have not tried downloading from them:
http://web.nickshanks.com/fonts/micr...core-web-fonts
They are .exe files but can be extracted via UnArc.

I would recommend putting them in Fonts:TrueType/
Then instaliing them with TTF_Manager and then moving all the .font and .otag files it creates in that directory up one level to Fonts:
Ok, iīve downloaded and unpacked all fonts now. Is TTF_Manager a special tool or do you mean some Amiga OS39 standard-program?
elowan is offline  
Old 30 January 2013, 02:20   #56
James
Registered User

 
Join Date: Mar 2010
Location: Beckenham/England
Posts: 461
Quote:
Originally Posted by elowan View Post
Netsurf complains "68040 Math emulation code not found" and "Need at least ixemul.library version 63".
The first thing - is this some problem with fs-uae emulation?
The 2nd is a missing library, i guess. Right now, iīve only ixemul.lib version 48.
But shouldnīt Netsurf install ixemul.-libs and other needed files? Afair, the Netsurf installer said so
Yes, Netsurf should have installed these libs... You can copy them from the libs drawer in the Netsurf archive. Might be a good idea to copy the contents of the C, L and Devs drawers as well.
Don't know anything about fs-uae - are you emulating an FPU? This is required by Netsurf.
TTF_Manager comes with AfAOS and should have been installed in prefs.
James is offline  
Old 30 January 2013, 08:34   #57
elowan
Registered User
 
Join Date: Dec 2012
Location: germany
Age: 43
Posts: 324
Fs-uae emulates a Amiga 4000/68040 configuration. I thought, this means also an FPU support/emulation... maybe iīm wrong.

I check the fs-uae support for an answer.

Iīll try what you have suggested this evening and report back.
Thank you, for answering my questions and helping me out, James

When these things are solved, iīd like to go through the ReqAttack thing.
You gave me some files/config for it and i want to install this right after i got Netsurf runnig and the fonts installed.

BTW: Do you know, what fonts to choose, for making 3.9 more 4.1 like?
In other words: What fonts are used by OS 4.1 normally?
elowan is offline  
Old 30 January 2013, 12:35   #58
James
Registered User

 
Join Date: Mar 2010
Location: Beckenham/England
Posts: 461
Quote:
Originally Posted by elowan View Post
In other words: What fonts are used by OS 4.1 normally?
Workbench Icon - DejaVu Sans Oblique 13
System Default - DejaVu Sans Mono 14
Screen - DejaVu Sans 14
James is offline  
Old 30 January 2013, 14:35   #59
elowan
Registered User
 
Join Date: Dec 2012
Location: germany
Age: 43
Posts: 324
Great, thanks again, James!

Is the "outlinefont trick" used for the Os 4.1īs Icon / WB text?

Last edited by elowan; 30 January 2013 at 17:18.
elowan is offline  
Old 30 January 2013, 21:28   #60
elowan
Registered User
 
Join Date: Dec 2012
Location: germany
Age: 43
Posts: 324
Quote:
Originally Posted by James View Post
TTF_Manager comes with AfAOS and should have been installed in prefs.

Yes, it is. I dindīt found it at first look, because i got another icon in mind.

Ok, i did like you said, but i have no idea what to do select for "Codepage"

Should i type in "858" for european codepage with € - symbol?
Attached Thumbnails
Click image for larger version

Name:	ttf.gif
Views:	215
Size:	18.9 KB
ID:	34086  

Last edited by elowan; 30 January 2013 at 22:42.
elowan is offline  
AdSense AdSense  
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Similar Threads
Thread Thread Starter Forum Replies Last Post
ECS. Make OS3.1 look like OS3.9 without loosing speed. lukassid support.Apps 21 19 February 2013 01:13
AmiDock in Amiga OS3.9 Location spanner support.Apps 1 19 August 2012 23:26
Amiga OS3.9 Manuals petemaxi Amiga scene 14 05 February 2011 11:28
WANTED Amiga OS3.5 CD Vars191 MarketPlace 2 01 February 2009 08:41
Wanted Amiga OS3.9 Stormrider MarketPlace 2 07 March 2006 08:27

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 00:47.


Powered by vBulletin® Version 3.8.8 Beta 1
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Page generated in 0.36618 seconds with 12 queries